public static interface IgniteIdGenEndpointBuilderFactory.IgniteIdGenBuilders
| Modifier and Type | Method and Description |
|---|---|
default IgniteIdGenEndpointBuilderFactory.IgniteIdGenEndpointBuilder |
igniteIdgen(String path)
Ignite ID Generator (camel-ignite)
Interact with Ignite Atomic Sequences and ID Generators .
|
default IgniteIdGenEndpointBuilderFactory.IgniteIdGenEndpointBuilder |
igniteIdgen(String componentName,
String path)
Ignite ID Generator (camel-ignite)
Interact with Ignite Atomic Sequences and ID Generators .
|
default IgniteIdGenEndpointBuilderFactory.IgniteIdGenEndpointBuilder igniteIdgen(String path)
ignite-idgen:name
Path parameter: name (required)
The sequence name.path - namedefault IgniteIdGenEndpointBuilderFactory.IgniteIdGenEndpointBuilder igniteIdgen(String componentName, String path)
ignite-idgen:name
Path parameter: name (required)
The sequence name.componentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel